Index: trunk/LATMOS-Accounts-Web/MANIFEST
===================================================================
--- trunk/LATMOS-Accounts-Web/MANIFEST	(revision 1358)
+++ trunk/LATMOS-Accounts-Web/MANIFEST	(revision 1359)
@@ -2443,4 +19,7 @@
 lib/LATMOS/Accounts/Web/Controller/Create.pm
 lib/LATMOS/Accounts/Web/Controller/Groups.pm
+lib/LATMOS/Accounts/Web/Controller/Json.pm
+lib/LATMOS/Accounts/Web/Controller/Json/FreeIp.pm
+lib/LATMOS/Accounts/Web/Controller/Json/RefVal.pm
 lib/LATMOS/Accounts/Web/Controller/Logout.pm
 lib/LATMOS/Accounts/Web/Controller/NetHosts.pm
@@ -2448,5 +27,4 @@
 lib/LATMOS/Accounts/Web/Controller/Request.pm
 lib/LATMOS/Accounts/Web/Controller/Root.pm
-lib/LATMOS/Accounts/Web/Controller/Root.pm.orig
 lib/LATMOS/Accounts/Web/Controller/Rpc.pm
 lib/LATMOS/Accounts/Web/Controller/Search.pm
@@ -2454,5 +32,4 @@
 lib/LATMOS/Accounts/Web/Controller/Services.pm
 lib/LATMOS/Accounts/Web/Controller/Services/Mailing.pm
-lib/LATMOS/Accounts/Web/Controller/Services/Mailing.pm.orig
 lib/LATMOS/Accounts/Web/Controller/Sites.pm
 lib/LATMOS/Accounts/Web/Controller/Summary/Departments.pm
@@ -2462,17 +39,8 @@
 lib/LATMOS/Accounts/Web/Model/AttrFilter.pm
 lib/LATMOS/Accounts/Web/Model/AttrForms.pm
+lib/LATMOS/Accounts/Web/Model/AttrFormsA.pm
+lib/LATMOS/Accounts/Web/View/Json.pm
 lib/LATMOS/Accounts/Web/View/TT.pm
 lib/LATMOS/Accounts/Web/View/TTpart.pm
-Makefile
-Makefile.old
-Makefile.PL
-MANIFEST			This list of files
-MANIFEST.bak
-MANIFEST.SKIP
-META.yml
-MYMETA.json
-MYMETA.yml
-pm_to_blib
-README
 root/favicon.ico
 root/html/about/index.tt
@@ -2484,5 +52,4 @@
 root/html/admin/requests/show.tt
 root/html/admin/requests/update.tt
-root/html/ajax/attrvalues.tt
 root/html/ajax/check_new_name.tt
 root/html/ajax/check_ug_validity.tt
@@ -2494,15 +61,10 @@
 root/html/ajax/random_password.tt
 root/html/ajax/rawattr.tt
-root/html/ajax/search_adv.tt
 root/html/ajax/select_freeip_select.tt
 root/html/ajax/select_objects_list.tt
-root/html/ajax/services/mailing/attachment.tt
 root/html/ajax/services/mailing/attachments.tt
 root/html/ajax/services/mailing/dest_list.tt
-root/html/ajax/services/mailing/dest_list.tt.orig
 root/html/ajax/services/mailing/quick_input.tt
-root/html/ajax/services/mailing/quick_input.tt.o
 root/html/ajax/services/mailing/users_list.tt
-root/html/ajax/services/mailing/users_list.tt.orig
 root/html/ajax/set_attrs.tt
 root/html/ajax/user_to_group_form.tt
@@ -2517,5 +79,4 @@
 root/html/groups/menu.tt
 root/html/groups/object_header.tt
-root/html/groups/side_menu.tt
 root/html/groups/users.tt
 root/html/includes/adv_filter.tt
@@ -2524,5 +85,4 @@
 root/html/includes/filter.tt
 root/html/includes/form.tt
-root/html/includes/header.tt.rej
 root/html/includes/list_objects.tt
 root/html/includes/obj_prev_next.tt
@@ -2530,6 +90,4 @@
 root/html/includes/sidebar.tt
 root/html/includes/wrapper.tt
-root/html/includes/wrapper.tt.orig
-root/html/includes/wrapper.tt.rej
 root/html/login.tt
 root/html/logout.tt
@@ -2539,5 +97,4 @@
 root/html/nethosts/menu.tt
 root/html/nethosts/object_header.tt
-root/html/nethosts/side_menu.tt
 root/html/netzones/default.tt
 root/html/netzones/index.tt
@@ -2563,5 +120,4 @@
 root/html/users/address_form.tt
 root/html/users/default.tt
-root/html/users/dump.tt
 root/html/users/groups.tt
 root/html/users/index.tt
@@ -2570,9 +126,5 @@
 root/html/users/my.tt
 root/html/users/object_header.tt
-root/html/users/object_header.tt.orig
-root/html/users/object_header.tt.rej
 root/html/users/passwd.tt
-root/html/users/side_menu.tt
-root/static/images/.directory
 root/static/images/add.png
 root/static/images/appointment-new.png
@@ -2625,4 +177,5 @@
 root/static/images/preferences-desktop-wallpaper.png
 root/static/images/process-stop.png
+root/static/images/service_conf.png
 root/static/images/site_conf.png
 root/static/images/system-users.png
@@ -2635,12 +188,30 @@
 root/static/images/view-media-artist.png
 root/static/images/view-pim-contacts.png
-root/static/js/CalendarPopup.js
-root/static/js/controls.js
-root/static/js/dragdrop.js
-root/static/js/effects.js
-root/static/js/jquery-1.10.2.js
-root/static/js/jquery-ui-1.10.4.custom.js
-root/static/js/jquery-ui-1.10.4.custom.min.js
-root/static/js/prototype.js
+root/static/js/jquery/external/jquery/jquery.js
+root/static/js/jquery/images/ui-bg_flat_55_999999_40x100.png
+root/static/js/jquery/images/ui-bg_flat_75_aaaaaa_40x100.png
+root/static/js/jquery/images/ui-bg_glass_45_0078ae_1x400.png
+root/static/js/jquery/images/ui-bg_glass_55_f8da4e_1x400.png
+root/static/js/jquery/images/ui-bg_glass_75_79c9ec_1x400.png
+root/static/js/jquery/images/ui-bg_gloss-wave_45_e14f1c_500x100.png
+root/static/js/jquery/images/ui-bg_gloss-wave_50_6eac2c_500x100.png
+root/static/js/jquery/images/ui-bg_gloss-wave_75_2191c0_500x100.png
+root/static/js/jquery/images/ui-bg_inset-hard_100_fcfdfd_1x100.png
+root/static/js/jquery/images/ui-icons_0078ae_256x240.png
+root/static/js/jquery/images/ui-icons_056b93_256x240.png
+root/static/js/jquery/images/ui-icons_d8e7f3_256x240.png
+root/static/js/jquery/images/ui-icons_e0fdff_256x240.png
+root/static/js/jquery/images/ui-icons_f5e175_256x240.png
+root/static/js/jquery/images/ui-icons_f7a50d_256x240.png
+root/static/js/jquery/images/ui-icons_fcd113_256x240.png
+root/static/js/jquery/index.html
+root/static/js/jquery/jquery-ui.css
+root/static/js/jquery/jquery-ui.js
+root/static/js/jquery/jquery-ui.min.css
+root/static/js/jquery/jquery-ui.min.js
+root/static/js/jquery/jquery-ui.structure.css
+root/static/js/jquery/jquery-ui.structure.min.css
+root/static/js/jquery/jquery-ui.theme.css
+root/static/js/jquery/jquery-ui.theme.min.css
 root/static/struct.css
 root/static/style.css
@@ -2650,5 +221,4 @@
 script/latmos_accounts_web_server.pl
 script/latmos_accounts_web_test.pl
-status.ini
 t/01app.t
 t/02pod.t
@@ -2656,6 +226,4 @@
 t/04config_load.t
 t/controller_About.t
-t/controller_Admin-Requests.t
-t/controller_Admin.t
 t/controller_Ajax-Services-Mailing.t
 t/controller_Ajax.t
@@ -2663,4 +231,6 @@
 t/controller_Create.t
 t/controller_Groups.t
+t/controller_Json-RefVal.t
+t/controller_Json.t
 t/controller_Logout.t
 t/controller_NetHost.t
@@ -2675,4 +245,5 @@
 t/model_Accounts.t
 t/model_AttrForms.t
+t/view_Json.t
 t/view_TT.t
 t/view_TTpart.t
Index: trunk/LATMOS-Accounts/MANIFEST
===================================================================
--- trunk/LATMOS-Accounts/MANIFEST	(revision 1358)
+++ trunk/LATMOS-Accounts/MANIFEST	(revision 1359)
@@ -1,2 +1,7 @@
+MANIFEST
+MANIFEST.SKIP
+Makefile.PL
+README
+TODO
 annexes/sql.schema.sql
 bin/la-acls
@@ -18,7 +23,5 @@
 bin/la-rename
 bin/la-search
-bin/la-sql-add-request
 bin/la-sql-crypt-passwd
-bin/la-sql-crypt-passwd.orig
 bin/la-sql-edit-form
 bin/la-sql-exchange-hostname
@@ -33,5 +36,4 @@
 bin/la-sql-switch-cname
 bin/la-sql-updsshfp
-bin/la-sql-upgrade
 bin/la-sql-upgrade.in
 bin/la-sql-valid-request
@@ -42,13 +44,7 @@
 bin/la-test-mail
 bin/la-warn-expire
-docs/get_attributes.dot
-docs/get_attributes.png
-docs/graph.sh
 etc/cron.d/latmos-accounts
 etc/init.d/la-sync-manager
 etc/sysconfig/latmos-accounts
-la-summary
-LATMOS-Accounts-Web/lib/LATMOS/Accounts/Web/Controller/Services/Mailing.pm
-LATMOS-Accounts-Web/t/controller_Services-Mailing.t
 latmos-accounts.spec.in
 lib/LATMOS/Accounts.pm
@@ -56,9 +52,8 @@
 lib/LATMOS/Accounts/Acls/Acl.pm
 lib/LATMOS/Accounts/Bases.pm
-lib/LATMOS/Accounts/Bases.pm.orig
 lib/LATMOS/Accounts/Bases/Ad.pm
 lib/LATMOS/Accounts/Bases/Ad/Group.pm
+lib/LATMOS/Accounts/Bases/Ad/User.pm
 lib/LATMOS/Accounts/Bases/Ad/objects.pm
-lib/LATMOS/Accounts/Bases/Ad/User.pm
 lib/LATMOS/Accounts/Bases/Attributes.pm
 lib/LATMOS/Accounts/Bases/Dummy.pm
@@ -68,14 +63,14 @@
 lib/LATMOS/Accounts/Bases/Ldap.pm
 lib/LATMOS/Accounts/Bases/Ldap/Group.pm
-lib/LATMOS/Accounts/Bases/Ldap/objects.pm
 lib/LATMOS/Accounts/Bases/Ldap/Onlyaddress.pm
 lib/LATMOS/Accounts/Bases/Ldap/User.pm
+lib/LATMOS/Accounts/Bases/Ldap/objects.pm
 lib/LATMOS/Accounts/Bases/Mail.pm
 lib/LATMOS/Accounts/Bases/Mail/Aliases.pm
+lib/LATMOS/Accounts/Bases/Mail/Revaliases.pm
 lib/LATMOS/Accounts/Bases/Mail/objects.pm
-lib/LATMOS/Accounts/Bases/Mail/Revaliases.pm
-lib/LATMOS/Accounts/Bases/Objects.pm
 lib/LATMOS/Accounts/Bases/OCHelper.pm
 lib/LATMOS/Accounts/Bases/OCHelper/User.pm
+lib/LATMOS/Accounts/Bases/Objects.pm
 lib/LATMOS/Accounts/Bases/Sql.pm
 lib/LATMOS/Accounts/Bases/Sql/Accreq.pm
@@ -83,9 +78,7 @@
 lib/LATMOS/Accounts/Bases/Sql/Aliases.pm
 lib/LATMOS/Accounts/Bases/Sql/DataRequest.pm
-lib/LATMOS/Accounts/Bases/Sql/DataRequest.pm.n
 lib/LATMOS/Accounts/Bases/Sql/Group.pm
 lib/LATMOS/Accounts/Bases/Sql/Nethost.pm
 lib/LATMOS/Accounts/Bases/Sql/Netzone.pm
-lib/LATMOS/Accounts/Bases/Sql/objects.pm
 lib/LATMOS/Accounts/Bases/Sql/OCHelper/Accreq.pm
 lib/LATMOS/Accounts/Bases/Sql/Onlyaddress.pm
@@ -95,4 +88,5 @@
 lib/LATMOS/Accounts/Bases/Sql/Sutype.pm
 lib/LATMOS/Accounts/Bases/Sql/User.pm
+lib/LATMOS/Accounts/Bases/Sql/objects.pm
 lib/LATMOS/Accounts/Bases/Unix.pm
 lib/LATMOS/Accounts/Bases/Unix/Group.pm
@@ -102,9 +96,9 @@
 lib/LATMOS/Accounts/Mail.pm
 lib/LATMOS/Accounts/Maintenance.pm
+lib/LATMOS/Accounts/SyncManager.pm
 lib/LATMOS/Accounts/SynchAccess.pm
+lib/LATMOS/Accounts/SynchAccess/Objects.pm
 lib/LATMOS/Accounts/SynchAccess/base.pm
-lib/LATMOS/Accounts/SynchAccess/Objects.pm
 lib/LATMOS/Accounts/Synchro.pm
-lib/LATMOS/Accounts/SyncManager.pm
 lib/LATMOS/Accounts/Task.pm
 lib/LATMOS/Accounts/Task/Automatedrequest.pm
@@ -122,8 +116,5 @@
 live-test/91_scripts_run_help.t
 live-test/common.pl
-live-test/config.pl
 live-test/config.pl.sample
-Makefile
-Makefile.PL
 man/man5/la-allowed-values.ini.pod
 man/man5/la-sync-list.ini.pod
@@ -137,17 +128,5 @@
 man/man8/latmos-accounts-faq.pod
 man/man8/latmos-accounts.pod
-MANIFEST			This list of files
-MANIFEST.bak
-MANIFEST.SKIP
-MYMETA.json
-MYMETA.yml
-ochelper
 patchset/no_useless_load.patch
-pm_to_blib
-pod2htmd.tmp
-pod2htmi.tmp
-README
-revaliases
-run.sh
 sample/allowed_values.ini
 sample/la-allowed-values.ini
@@ -156,5 +135,4 @@
 sample/latmos-accounts.ini
 sample/list.cfg
-scripts/gen_test_script.pl
 scripts/ochelper
 scripts/pod2xhtml.pl
@@ -182,6 +160,4 @@
 templates/mail/account_expire.mail
 templates/mail/account_expired_reminder.mail
-test.pl
-test.yaml
 testdata/acls1
 testdata/acls2
@@ -202,3 +178,2 @@
 testdata/synchro/source/passwd
 testdata/synchro/source/shadow
-TODO
